# frozen_string_literal: true

require_relative 'option_parser/trollop'

module ArticleFixtureGen
  module Exe
    # Individual item hash based on parser, such as Trollop. To change to a
    # different parser, implement an equivalent of `Trollop::OptionParser` with
    # the new parser and change the parent class of this class. Voila.
    class OptionParser < Trollop::OptionParser
    end # class ArticleFixtureGen::Exe::OptionParser
  end
end
