# frozen_string_literal: true

# Generate blog post/article fixture data, with embedded marker tag pairs.
module ArticleFixtureGen
  # Maintain configuration information for app.
  class Config
    # Constants used semi-internally to the class.
    module Constants
      DEFAULTS = {
        article_count: 5,
        config: '',
        generate_config: '',
        para_count_max: 10,
        para_count_min: 2,
        pmtp_count: 2,
        pmtp_text: 'paired-mtp',
        sent_count_max: 8,
        sent_count_min: 1,
        smtp_count: 4,
        smtp_text: 'single-mtp'
      }.freeze
    end
    # private_constant :Constants
  end # class ArticleFixtureGen::Config
end
