# frozen_string_literal: true

require_relative './pmtp_attributes'

module ArticleFixtureGen
  module Data
    # Builds a parameter hash for calling `MtpDecoratedMarkup` to decorate
    # markup with paired MTPs (as opposed to single MTPs).
    class PmtpDecoratorParams
      def self.call(base_markup:, config:)
        attributes = PmtpAttributes.new config: config
        { attributes: attributes, base_markup: base_markup }
      end
    end # class ArticleFixtureGen::Data::SmtpDecoratorParams
  end
end
