# frozen_string_literal: true

require 'prolog/dry_types'

module ArticleFixtureGen
  module Exe
    module Trollop
      # Individual item hash for Trollop data. This can't be frozen per Trollop.
      class OptionSpecItem < Dry::Struct
        attribute :key, Types::Strict::Symbol
        attribute :desc, Types::Strict::String
        attribute :options, Types::Strict::Hash
      end # class ArticleFixtureGen::Exe::Trollop::OptionSpecItem
    end
  end
end
